import { Result } from '@core/shared/domain/Result';
import type { CheckoutInfoDTO } from '../dto/CheckoutInfoDTO';

export interface CheckoutServicePort {
  extractCheckoutInfo(): Promise<Result<CheckoutInfoDTO>>;
  proceedWithCheckout(): Promise<Result<void>>;
}